set -g fish_user_paths $fish_user_paths ~/dotfiles/scripts /home/joe/.cargo/bin /home/joe/.local/bin
# ulimit -n 1024
set -x EDITOR 'kak'

alias la "ls -A"
alias ll "ls -l"
alias l "ls -Ahl"
alias c "clear"
alias vcon "$EDITOR ~/.vimrc"
alias fcon "$EDITOR ~/.config/fish/config.fish"
alias gcon "$EDITOR ~/.gitconfig"
alias rcon "$EDITOR ~/.config/ranger/rc.conf"
alias icon "$EDITOR ~/.config/i3/config"
alias kcon "$EDITOR ~/.config/kak/kakrc"
alias ideacon "$EDITOR ~/.ideavimrc"
alias r "ranger"
alias sf "source ~/.config/fish/config.fish"
alias xclip "xclip -selection clipboard"
abbr -a "ts=tig status"
abbr -a "tl=tig log"

# Git
abbr gs "git status --untracked-files"
alias gmom "git merge origin/master"
alias gmm "git merge master"
alias gss "env GIT_LFS_SKIP_SMUDGE=1"
abbr "test=(echo =)"
abbr -a "gl=git lop -10"
abbr -a "gll=git lol -15"
abbr -a "glp=git lfs pull"
abbr -a "glm=gss git merge ; glp"
abbr -a "ga=git add"
abbr -a "gch=git checkout"
abbr -a "gd=git diff"
abbr -a "gdh=git diff HEAD"
abbr -a "gm=git merge"
abbr -a "gms=git merge --squash"
abbr -a "gb=git branch"
abbr -a "gba=git branch -a"
abbr -a "gf=git fetch"
abbr -a "gr=git rebase"
abbr -a 'gc=git commit'
abbr -a 'gcm=git commit -m'
abbr -a 'gcau=git commit --author'
abbr -a 'gcam=git commit -am'
abbr -a "ga=git add"
abbr -a "gaa=git add -A"
abbr -a "gpl=git pull"
abbr -a "gp=git push"
abbr -a "gpd=git push -d origin"
abbr -a "grpo=git remote prune origin"
abbr -a "grh=git reset --hard"
abbr -a "gcl=git clean -fd"
abbr -a "gst=git stash"
abbr -a "gsl=git stash list"
abbr -a "gsp=git stash pop"
abbr -a "gsu=git submodule update"
