"dein Scripts-----------------------------
if &compatible
  set nocompatible               " Be iMproved
endif

" Required:
set runtimepath+=/home/joe/.vim/bundles/repos/github.com/Shougo/dein.vim

" Required:
if dein#load_state('/home/joe/.vim/bundles')
  call dein#begin('/home/joe/.vim/bundles')

  " Let dein manage dein
  " Required:
  call dein#add('/home/joe/.vim/bundles/repos/github.com/Shougo/dein.vim')

  " Add or remove your plugins here like this:
  call dein#add('easymotion/vim-easymotion')
  call dein#add('tpope/vim-surround')
  "call dein#add('Shougo/neosnippet.vim')
  "call dein#add('Shougo/neosnippet-snippets')

  " Required:
  call dein#end()
  call dein#save_state()
endif

" Required:
filetype plugin indent on
syntax enable


set shell=/usr/bin/zsh

" Plug 'tpope/vim-repeat'
" Plug 'tpope/vim-commentary'
" Plug 'rhysd/clever-f.vim'

set number
set relativenumber
set tabstop=4
set expandtab
set shiftwidth=4
set smartindent
set autoindent
set pastetoggle=<f5>

let mapleader = " "
" let g:EasyMotion_keys = 'asdfjklhgweoruixcvmnzqp'
let g:EasyMotion_keys = 'asdfjklhg'
map  <Leader>w <Plug>(easymotion-w)
map  <Leader>b <Plug>(easymotion-b)
map  <Leader>/ :nohlsearch<CR>
nnoremap <C-h> <C-w>h
nnoremap <C-j> <C-w>j
nnoremap <C-k> <C-w>k
nnoremap <C-l> <C-w>l
noremap <Right> <C-w>10<
noremap <Left> <C-w>10>
noremap <Up> <C-w>4+
noremap <Down> <C-w>4-
